scala.tools.nsc.ast.DocComments

# DocComment

#### case class DocComment(raw: String, pos: Global.Position = NoPosition, codePos: Global.Position = NoPosition) extends Product with Serializable

Source
  DocComments.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DocComment
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DocComment(raw: String, pos: Global.Position = NoPosition, codePos: Global.Position = NoPosition)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Global.DocComment to any2stringadd[Global.DocComment] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Global.DocComment, B)

   Implicit information
     This member is added by an implicit conversion from Global.DocComment to ArrowAssoc[Global.DocComment] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val codePos: Global.Position

9. #### def defineVariables(sym: Global.Symbol): Unit

10. #### lazy val defines: collection.immutable.List[String]

    Returns: template: the doc comment minus all @define and @usecase sections defines : all define sections (as strings) useCases: all usecase sections (as instances of class UseCase)

11. #### def ensuring(cond: (Global.DocComment) ⇒ Boolean, msg: ⇒ Any): Global.DocComment

    Implicit information
      This member is added by an implicit conversion from Global.DocComment to Ensuring[Global.DocComment] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (Global.DocComment) ⇒ Boolean): Global.DocComment

    Implicit information
      This member is added by an implicit conversion from Global.DocComment to Ensuring[Global.DocComment] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): Global.DocComment

    Implicit information
      This member is added by an implicit conversion from Global.DocComment to Ensuring[Global.DocComment] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): Global.DocComment

    Implicit information
      This member is added by an implicit conversion from Global.DocComment to Ensuring[Global.DocComment] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Global.DocComment to StringFormat[Global.DocComment] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### val pos: Global.Position

24. #### val raw: String

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### lazy val template: String

    Returns: template: the doc comment minus all @define and @usecase sections defines : all define sections (as strings) useCases: all usecase sections (as instances of class UseCase)

27. #### lazy val useCases: collection.immutable.List[Global.UseCase]

    Returns: template: the doc comment minus all @define and @usecase sections defines : all define sections (as strings) useCases: all usecase sections (as instances of class UseCase)

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (Global.DocComment, B)

    Implicit information
      This member is added by an implicit conversion from Global.DocComment to ArrowAssoc[Global.DocComment] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.DocComment to any2stringadd[Global.DocComment]

### Inherited by implicit conversion StringFormat from Global.DocComment to StringFormat[Global.DocComment]

### Inherited by implicit conversion Ensuring from Global.DocComment to Ensuring[Global.DocComment]

### Inherited by implicit conversion ArrowAssoc from Global.DocComment to ArrowAssoc[Global.DocComment]

### Ungrouped